# DataExchange
TKIGES
IGESSolid

# IGESSolid_Sphere Class Reference

defines Sphere, Type <158> Form Number <0>
in package IGESSolid
This defines a sphere with a center and radius

`#include <IGESSolid_Sphere.hxx>`

Inheritance diagram for IGESSolid_Sphere:

[legend]

## Public Member Functions

Standard_EXPORT | IGESSolid_Sphere ()
Standard_EXPORT void | Init (const Standard_Real aRadius, const gp_XYZ &aCenter)
| This method is used to set the fields of the class Sphere - aRadius : the radius of the sphere - aCenter : the center point coordinates (default (0,0,0)) .
Standard_EXPORT Standard_Real | Radius () const
| returns the radius of the sphere
Standard_EXPORT gp_Pnt | Center () const
| returns the center of the sphere
Standard_EXPORT gp_Pnt | TransformedCenter () const
| returns the center of the sphere after applying TransformationMatrix
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Standard_Real | theRadius
gp_XYZ | theCenter

## Constructor & Destructor Documentation

Standard_EXPORT IGESSolid_Sphere::IGESSolid_Sphere | ( |  | ) |

## Member Function Documentation

Standard_EXPORT gp_Pnt IGESSolid_Sphere::Center | ( |  | ) | const

Standard_EXPORT const IGESSolid_Sphere::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from IGESData_IGESEntity.

Standard_EXPORT void IGESSolid_Sphere::Init | ( | const Standard_Real | aRadius,
|  | const gp_XYZ & | aCenter
| ) |

Standard_EXPORT Standard_Real IGESSolid_Sphere::Radius | ( |  | ) | const

Standard_EXPORT gp_Pnt IGESSolid_Sphere::TransformedCenter | ( |  | ) | const

## Field Documentation

gp_XYZ IGESSolid_Sphere::theCenter `[private]`

Standard_Real IGESSolid_Sphere::theRadius `[private]`

The documentation for this class was generated from the following file:

- IGESSolid_Sphere.hxx